Skip to main content
PATCH
Update an application of a multi-application card

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string<biginteger>
required

The main card id for given card

Query Parameters

auditUser
string
required

The audit user to log the request

Body

application/json

The new value of selected property. You should only provide a value for the property you want to update, the other ones should be null

applicationName
string

Name of the application displayed on the POS terminal in text

Maximum string length: 16
Pattern: ^[A-Za-z ]*$
Example:

"APPLICATION"

enabled
boolean

Allows to define if an application (PAN) is active on the chip. Only active applications are displayed

additionalValues
object[]

The additionalValues array is used to store information in the form of key-value pairs. Enfuce does not perform any validation on these key-value pairs beyond ensuring they adhere to the character limit constraints. The primary purpose of these key-value pairs is to store data without further processing. In newer versions of the card personalization files, these key-value pairs are included in the file. However, this inclusion is version-dependent. We recommend consulting the specific version details of your card personalization files to confirm whether these values will be added to the card personalization file in your case.

Maximum array length: 10
printed
boolean

To indicate if this PAN is printed on the physical card

contactPriorityLevel
integer

Priority level of the application (PAN) on a POS terminal (Lowest is the first application listed)

Required range: 1 <= x <= 255
contactlessPriorityLevel
integer

Priority level of the contactless application (PAN) (not visible on terminal). Application with the lowest value will be used for contactless purchases

Required range: 1 <= x <= 255
digitalLayoutCode
string

Id used for digital wallet artwork and other related assets. Use of this need to be agreed with Enfuce separately

Maximum string length: 32
Pattern: ^[a-zA-Z0-9]+$
Example:

"abc123abc"

regionAndEcommBlocking
regionAndEcommBlocking · object

Card ecomm and geo-region blocking

status
enum<string>
  • CARD_OK - Card is open and in normal status. Card has to be in this status in order for it to be renewed - CARD_BLOCKED - Temporary block on the card that will prevent approval of authorisations. Can be used instead of account level temporary block if target is to block only a specific card - SUSPECTED_FRAUD - Temporary block on the card that will prevent approval of authorisations. Functionality the same as for "Card blocked", the different code allows to differentiate between the blocks - CARD_CLOSED_DUE_TO_FRAUD - Used to close a card due to known fraud - CARD_NO_RENEWAL - Status set to prevent following card renewal. Does not affect card functionality in any way, only renewal - CARD_LOST - Used to close a card because it is lost - CARD_STOLEN - Used to close a card because it is stolen - CARD_CLOSED - Used to close card by request from customer or bank, reason for closure is set with status update reason. Allows still clearing transaction posting - CARD_EXPIRED - Final card closure status, that blocks also clearing transaction posting
Available options:
CARD_OK,
CARD_BLOCKED,
SUSPECTED_FRAUD,
CARD_CLOSED_DUE_TO_FRAUD,
CARD_NO_RENEWAL,
CARD_LOST,
CARD_STOLEN,
CARD_CLOSED,
CARD_EXPIRED
usageLimits
usageLimit · object[]

Usage limits

cardUsageBlocks
cardUsageBlocks · object

Card usage blocks

Response

Successful update of the card

description
string

When a payment is declined, a response description is returned, if available, providing more context on why the transaction failed. This includes a return code and a brief explanation. If multiple issues cause the decline, only one response description is sent; the most recent reason for decline is returned. If the payment is successful, the resourceResponse attribute is returned with null value.

Example:

"061-Usage Limit '24H_RETAIL' Amount Exceeded"

id
string

Will contain the ID of the resource that has been created or updated